Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.association
Class AssociationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.bea.commerce.ebusiness.discount.DiscountException
                      com.bea.commerce.ebusiness.discount.association.AssociationException

All Implemented Interfaces
  MessageCatalogException, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class AssociationException

extends DiscountException

An AssociationException is an ApplicationException that also maintains the primary key of the association it is related to.

See Also
  `DiscountException`, `ApplicationException`, Serialized Form

Field Summary

Fields inherited from class com.bea.commerce.ebusiness.discount.DiscountException
`MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`AssociationException(int uid, String msgKey, Exception ex)` Deprecated See BEA Commerce product offering

Method Summary
`int` | `uid()` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssociationException

    public AssociationException(int uid,
                                String msgKey,
                                Exception ex)

  Deprecated See BEA Commerce product offering

Method Detail

### uid

    public int uid()

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved